Bug 1270470 - [clusterinfra_public_140]Can't show pod QoS info when pod doesn't contain "Limits" and "Requests" info
[clusterinfra_public_140]Can't show pod QoS info when pod doesn't contain "Li...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
3.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Paul Weil
chaoyang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-10 04:53 EDT by DeShuai Ma
Modified: 2015-11-23 16:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 16:18:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pod describe info (3.17 KB, text/plain)
2015-10-10 04:53 EDT, DeShuai Ma
no flags Details

  None (edit)
Description DeShuai Ma 2015-10-10 04:53:47 EDT
Created attachment 1081561 [details]
pod describe info

Description of problem:
Pod doesn't contain limits and requests info and create the pod,then describe pod, can't show "QoS Tier" info. On kube it can show "QoS Tier" info when pod doesn't contain limits and requests.

Version-Release number of selected component (if applicable):
openshift v1.0.6-328-gdf1f19e-dirty
kubernetes v1.1.0-alpha.1-653-g86b4e77

How reproducible:
Always

Steps to Reproduce:
1.Create a pod without limits and requests info
$ oc new-app -f postgresql-ephemeral-template.json -n dma

2.Describe the pod
[fedora@ip-172-18-2-238 db-templates]$ oc describe pod/postgresql-2-lcc9f -n dma
Name:				postgresql-2-lcc9f
Namespace:			dma
Image(s):			openshift/postgresql-92-centos7@sha256:371500a5e85db88d82ee99126b04ccad6b77cfc67ee6822fc3e6e1de899d4319
Node:				ip-172-18-2-238/172.18.2.238
Start Time:			Sat, 10 Oct 2015 08:10:27 +0000
Labels:				deployment=postgresql-2,deploymentconfig=postgresql,name=postgresql
Status:				Running
Reason:				
Message:			
IP:				172.17.0.33
Replication Controllers:	postgresql-2 (1/1 replicas created)
Containers:
  postgresql:
    Container ID:	docker://483efb86162b94177cbc4418bd196144784f950af4fbac80744b533baf32c3f3
    Image:		openshift/postgresql-92-centos7@sha256:371500a5e85db88d82ee99126b04ccad6b77cfc67ee6822fc3e6e1de899d4319
    Image ID:		docker://eac8d9f1f6332a0d1941ba8f70c58904b60c1550fc6c87ad59bcc37bb567f1a4
    State:		Running
      Started:		Sat, 10 Oct 2015 08:10:33 +0000
    Ready:		True
    Restart Count:	0
    Environment Variables:
      POSTGRESQL_USER:		userX6H
      POSTGRESQL_PASSWORD:	Mm5wWG2j7NkGVWsw
      POSTGRESQL_DATABASE:	sampledb
Conditions:
  Type		Status
  Ready 	True 
Volumes:
  postgresql-data:
    Type:	EmptyDir (a temporary directory that shares a pod's lifetime)
    Medium:	
  default-token-mhdvi:
    Type:	Secret (a secret that should populate this volume)
    SecretName:	default-token-mhdvi
Events:
  FirstSeen	LastSeen	Count	From				SubobjectPath				Reason		Message
  ─────────	────────	─────	────				─────────────				──────		───────
  30s		30s		1	{scheduler }								Scheduled	Successfully assigned postgresql-2-lcc9f to ip-172-18-2-238
  30s		30s		1	{kubelet ip-172-18-2-238}	implicitly required container POD	Pulled		Container image "openshift/origin-pod:latest" already present on machine
  30s		30s		1	{kubelet ip-172-18-2-238}	implicitly required container POD	Created		Created with docker id 2b34721fd887
  30s		30s		1	{kubelet ip-172-18-2-238}	implicitly required container POD	Started		Started with docker id 2b34721fd887
  30s		30s		1	{kubelet ip-172-18-2-238}	spec.containers{postgresql}		Pulling		Pulling image "openshift/postgresql-92-centos7@sha256:371500a5e85db88d82ee99126b04ccad6b77cfc67ee6822fc3e6e1de899d4319"
  25s		25s		1	{kubelet ip-172-18-2-238}	spec.containers{postgresql}		Pulled		Successfully pulled image "openshift/postgresql-92-centos7@sha256:371500a5e85db88d82ee99126b04ccad6b77cfc67ee6822fc3e6e1de899d4319"
  24s		24s		1	{kubelet ip-172-18-2-238}	spec.containers{postgresql}		Created		Created with docker id 483efb86162b
  24s		24s		1	{kubelet ip-172-18-2-238}	spec.containers{postgresql}		Started		Started with docker id 483efb86162b


Actual results:
2.Can't show pod "QoS Tier" info 

Expected results:
2.Should show pod "QoS Tier" info 

Additional info:
In the attachment file, on prue kubenetes it can show pod(without limits and requests info) "QoS Tier" info.
Comment 1 Paul Weil 2015-10-16 15:03:39 EDT
This was an upstream issue https://github.com/kubernetes/kubernetes/pull/14845.  Should be in our next rebase.
Comment 2 DeShuai Ma 2015-10-18 21:59:11 EDT
Cherry pick upstream comment (https://github.com/kubernetes/kubernetes/pull/14845) to origin and test it. This issue is fixed.

Wait this code rebase to origin and then verify this bug.

[fedora@ip-172-18-5-145 db-templates]$ oc describe pod/postgresql-2-mck5y -n dma
Name:				postgresql-2-mck5y
Namespace:			dma
Image(s):			openshift/postgresql-92-centos7@sha256:371500a5e85db88d82ee99126b04ccad6b77cfc67ee6822fc3e6e1de899d4319
Node:				ip-172-18-5-145/172.18.5.145
Start Time:			Mon, 19 Oct 2015 01:54:40 +0000
Labels:				deployment=postgresql-2,deploymentconfig=postgresql,name=postgresql
Status:				Running
Reason:				
Message:			
IP:				172.17.0.6
Replication Controllers:	postgresql-2 (1/1 replicas created)
Containers:
  postgresql:
    Container ID:	docker://a2376dc481f44afe9cce6f51a5dd12c1be4a594048b177bf47c9aadc6cc8ef25
    Image:		openshift/postgresql-92-centos7@sha256:371500a5e85db88d82ee99126b04ccad6b77cfc67ee6822fc3e6e1de899d4319
    Image ID:		docker://eac8d9f1f6332a0d1941ba8f70c58904b60c1550fc6c87ad59bcc37bb567f1a4
    QoS Tier:
      cpu:		BestEffort
      memory:		BestEffort
    State:		Running
      Started:		Mon, 19 Oct 2015 01:55:30 +0000
    Ready:		True
    Restart Count:	0
    Environment Variables:
      POSTGRESQL_USER:		userA61
      POSTGRESQL_PASSWORD:	WtqhaoYwYChmwyCC
      POSTGRESQL_DATABASE:	sampledb
Conditions:
  Type		Status
  Ready 	True 
Volumes:
  postgresql-data:
    Type:	EmptyDir (a temporary directory that shares a pod's lifetime)
    Medium:	
  default-token-7kpje:
    Type:	Secret (a secret that should populate this volume)
    SecretName:	default-token-7kpje
Events:
  FirstSeen	LastSeen	Count	From				SubobjectPath				Reason		Message
  ─────────	────────	─────	────				─────────────				──────		───────
  1m		1m		1	{scheduler }								Scheduled	Successfully assigned postgresql-2-mck5y to ip-172-18-5-145
  1m		1m		1	{kubelet ip-172-18-5-145}	implicitly required container POD	Pulled		Container image "openshift/origin-pod:latest" already present on machine
  1m		1m		1	{kubelet ip-172-18-5-145}	implicitly required container POD	Created		Created with docker id 6c11be1538f9
  1m		1m		1	{kubelet ip-172-18-5-145}	implicitly required container POD	Started		Started with docker id 6c11be1538f9
  1m		1m		1	{kubelet ip-172-18-5-145}	spec.containers{postgresql}		Pulling		Pulling image "openshift/postgresql-92-centos7@sha256:371500a5e85db88d82ee99126b04ccad6b77cfc67ee6822fc3e6e1de899d4319"
  45s		45s		1	{kubelet ip-172-18-5-145}	spec.containers{postgresql}		Pulled		Successfully pulled image "openshift/postgresql-92-centos7@sha256:371500a5e85db88d82ee99126b04ccad6b77cfc67ee6822fc3e6e1de899d4319"
  45s		45s		1	{kubelet ip-172-18-5-145}	spec.containers{postgresql}		Created		Created with docker id a2376dc481f4
  45s		45s		1	{kubelet ip-172-18-5-145}	spec.containers{postgresql}		Started		Started with docker id a2376dc481f4
Comment 3 Paul Weil 2015-10-21 09:22:45 EDT
rebase is merged
Comment 4 DeShuai Ma 2015-10-21 21:48:50 EDT
[fedora@ip-172-18-13-51 sample-app]$ openshift version
openshift v1.0.6-835-g4c014f5
kubernetes v1.2.0-alpha.1-1107-g4c8e6f4
etcd 2.1.2

[fedora@ip-172-18-13-51 sample-app]$ oc describe pod/postgresql-1-rga7m -n dma
Name:				postgresql-1-rga7m
Namespace:			dma
Image(s):			openshift/postgresql-92-centos7@sha256:b735ddf153a5d8f753e598fe8e7e9effd663550fe0284718fc4c097081dc836a
Node:				ip-172-18-13-51/172.18.13.51
Start Time:			Thu, 22 Oct 2015 01:46:55 +0000
Labels:				deployment=postgresql-1,deploymentconfig=postgresql,name=postgresql
Status:				Running
Reason:				
Message:			
IP:				172.17.0.4
Replication Controllers:	postgresql-1 (1/1 replicas created)
Containers:
  postgresql:
    Container ID:	docker://1520a61dd2931f968349857ab1f94393469f15b5aad468aa6c1facdf5360100e
    Image:		openshift/postgresql-92-centos7@sha256:b735ddf153a5d8f753e598fe8e7e9effd663550fe0284718fc4c097081dc836a
    Image ID:		docker://22a89e53dbb40c37e7944a17ea195a30b51fa224a36d1d6156bc5fa45f887dc9
    QoS Tier:
      memory:		BestEffort
      cpu:		BestEffort
    State:		Running
      Started:		Thu, 22 Oct 2015 01:47:03 +0000
    Ready:		True
    Restart Count:	0
    Environment Variables:
      POSTGRESQL_USER:		user2CM
      POSTGRESQL_PASSWORD:	fSVJ7638qVpQHvs0
      POSTGRESQL_DATABASE:	sampledb
Conditions:
  Type		Status
  Ready 	True 
Volumes:
  postgresql-data:
    Type:	EmptyDir (a temporary directory that shares a pod's lifetime)
    Medium:	
  default-token-wiu8c:
    Type:	Secret (a secret that should populate this volume)
    SecretName:	default-token-wiu8c
Events:
  FirstSeen	LastSeen	Count	From				SubobjectPath				Reason		Message
  ─────────	────────	─────	────				─────────────				──────		───────
  34s		34s		1	{kubelet ip-172-18-13-51}	implicitly required container POD	Pulled		Container image "openshift/origin-pod:latest" already present on machine
  34s		34s		1	{scheduler }								Scheduled	Successfully assigned postgresql-1-rga7m to ip-172-18-13-51
  34s		34s		1	{kubelet ip-172-18-13-51}	implicitly required container POD	Created		Created with docker id 293f5f55bd97
  33s		33s		1	{kubelet ip-172-18-13-51}	spec.containers{postgresql}		Pulling		pulling image "openshift/postgresql-92-centos7@sha256:b735ddf153a5d8f753e598fe8e7e9effd663550fe0284718fc4c097081dc836a"
  33s		33s		1	{kubelet ip-172-18-13-51}	implicitly required container POD	Started		Started with docker id 293f5f55bd97
  26s		26s		1	{kubelet ip-172-18-13-51}	spec.containers{postgresql}		Pulled		Successfully pulled image "openshift/postgresql-92-centos7@sha256:b735ddf153a5d8f753e598fe8e7e9effd663550fe0284718fc4c097081dc836a"
  26s		26s		1	{kubelet ip-172-18-13-51}	spec.containers{postgresql}		Created		Created with docker id 1520a61dd293
  26s		26s		1	{kubelet ip-172-18-13-51}	spec.containers{postgresql}		Started		Started with docker id 1520a61dd293

Note You need to log in before you can comment on or make changes to this bug.